///////////////////////////////
#include <acknex.h>
#include <default.c>
#include <mtlFX.c>
#define PRAGMA_PATH "./graphics";
#define PRAGMA_PATH "./sounds";
#define PRAGMA_PATH "./scripts";
#define PRAGMA_PATH "./models";
#include "exit.c";

var countdown_timer = 0; // 

// prototype
function spelstart();


FONT* arial_font = "Arial#72b";
PANEL* timer_pan =
{
       layer = 15;
       digits(395, 641, 4 ,arial_font, 1, countdown_timer);
       red = 0; blue = 0; green = 0;
       
       flags = SHOW;
}

//includes
#include "input.c"
#include "camera.c"

#include "actions.c"
#include "shooting.c"

BMAP* splash = "splash.bmp";

PANEL* splash_pan = 
{
	bmap = splash;
	pos_x = 0;
	pos_y = 0;
   layer = 5;

	
	
}

BMAP* P1_map = "counter.tga"; 

PANEL* P1_pan =
{
   bmap = P1_map; 
   pos_x = 400; pos_y = 620;
   
   flags = SHOW;
   flags = overlay;
   
}

var	music_hdl;

SOUND* menu_snd = "hitway.ogg"; 


function end_game()
{
	snd_stop(music_hdl); 
	reset(timer_pan,SHOW);
	reset(P1_pan,SHOW);
	set(splash_pan,SHOW);
	mouse_mode = 0;
	
	spelstart();
}
	 	


function countdown()
{
	countdown_timer = 25;
	while ( countdown_timer > 0 )
	{
		countdown_timer -= time_step / 16;
		
		// counting down the last 10 seconds? //
		//Then let's make the digit red!//
		if (countdown_timer <= 10) 
		{
			vec_set(timer_pan.blue, vector(0, 0, 255)); 
		}
		
		wait (1);
	}
	
	end_game();
}
   
function spelstart()
{ 
	
	// new exit routine
	on_esc=new_exit;
	
	hits =0;
	Innocent= 0;
	set(splash_pan,SHOW);
	mouse_toggle();
	
	music_hdl=snd_play(menu_snd,100,0);
	
	while(!mouse_left)
	{
		wait(1);
		
	}
	
	// if not exited
	if(!is(txt_credits, SHOW)){
	
		// restore the hud
		vec_set(timer_pan.blue, vector(0, 0, 0)); 
		set(timer_pan,SHOW);
		set(P1_pan,SHOW);
		
		countdown();	// start timer
		
		reset(splash_pan,SHOW); 
		level_load("pb.wmb");
		camera_path("path_000");
		mouse_toggle();	
		on_mouse_left = shoot;
	}
}



function main()
{
	
	video_mode = 8; 
	video_screen = 1;
	
	spelstart();
}



 